Home

Share this Story

Android 4.2 Google Apps Package Bundled and Available for Flashing on the Galaxy Nexus

Android 4.2 has been announced to the world, but not released into our greedy hands yet. Thanks to a leaked system dump, the Google Apps package from Android 4.2 has been bundled and released for download if you are in a tinkering mood. We’re talking Gmail, Calendar, Clock, keyboard, camera, etc. It’s worth noting that Google split the package to not include Google Wallet, but there is a separate download for a new version of that. 

The Google Apps (GApps) package comes in a flashable .zip that can be used through your favorite custom recovery. Be warned however, you might want to check with the developer of your ROM to see if this will cooperate, or you could make a backup of your current build before flashing these, just to be safe. It never hurts to air on the side of caution when installing packages like these.

The Google Wallet is a .apk file that can be installed like any other sideloaded app.

Update:  We hearing from Keyan X, the man who bundled the apps, and he wanted us to note that stock ROMs are having some issues. These apps should work fine in AOKP or other ROMs, but 100% stock phones are having problems.

Download:  GApps (.zip) | Google Wallet [mirror] (.apk)

Via: AndroidSpin | @KillDroidHack

  • Christopher Chin

    Loving the update ‘cept for one omission. They took out my favorite part of the gallery. Doodle editor. I used to be able to mock up a photo, but now it’s gone. Damn.

    • Larizard

      I agree. I can’t believe that removed that. Doodling over my photos was so much fun.

  • Joshua Westfall

    Jesus, someone has to put this on a faster hosting site. 32 minutes to download? Give me a break.

  • http://twitter.com/RussTweetsTech Russell Rogers

    Unfortunately this did not work for me either. After I downloaded the zip completely, I flashed it and when it rebooted, every single app force closed, including the launcher.

  • bitpimpin

    Kind of confused as to why it says “for flashing on the galaxy nexus” in the title… I always thought the gapps packages were hardware independent and worked with any AOSP ROM?

    • bitpimpin

      Anybody? Anybody?

      • bitpimpin

        Bueller? Bueller?

        • Justin Swanson

          I don’t know this is true GApps. If I were you, I’d back up and flash it anyways :P

      • http://www.keithbluhm.com/ Keith

        Flashed on my Gtab 10.1 running pershoot’s CM10 from 10/30 and it’s running fine.

        • bitpimpin

          Thanks… I figured as much… I guess I just got misled by the title lol

  • Jason K

    Confirmed – works great with latest BB

  • Steve Edholm

    I can’t get it to download at all. I am sad.

  • Phil Austin

    i’m getting a ‘not supported’ when installing the Google Wallet APK. Granted, i was before also…. i’m on CM10, 11/5 nightly. Any ideas how to fix?

    • http://twitter.com/wildtouch83 Dave

      Is this preventing it from installing or are you referring to once you launch the app? If your phone is unlocked you will see this message all the time. I do on my VZW GNex but the app works fine.

      • Phil Austin

        my apologies, should have been more clear. I launch the app and this is what is shown.

  • http://profiles.google.com/adamtruelove Adam Truelove

    Even after flashing the newest keyboard (the one in this Gapps is the older one) available here:

    http://www.droid-life.com/2012/11/02/clock-app-and-newest-build-of-android-4-2-keyboard-made-available-for-flashing/

    The 4.2 keyboard just seems slower to me. Does it to anyone else?

    • snowblind64

      I haven’t noticed any slowdown. Running latest BB.

  • avinyc

    What is the difference between the current google wallet version and this one? Just curious if it’s worth side loading or not, thanks.

    • http://twitter.com/wildtouch83 Dave

      Haven’t noticed any difference in it yet…

    • snowblind64

      Show location is gone and the notification icon is new.

  • http://profiles.google.com/gogatsbj Bradley Gogats

    If you are on a stock build these will not work, Stock has .dex files for every (or most) system .apks, you have to be deodexed to run these files. if you look in your system/app folder and see a bunch of .dex files then this will not work and you will crash, if you go and delete each .dex file for each .apk that was replaced everything will work but thats a pain in the ass, just download a deodexed ROM, that being said is anyone noticing anything actually different with things like CAL and Talk?

    • http://twitter.com/CoolLikeHanSolo Eric

      Delete every .odex file in system/app foler?

  • http://twitter.com/hockey_david David Rando

    do need a custom rom or will a rooted Gnex on vzw be ok?

  • Jared

    Link not working for me.

  • http://twitter.com/SJFee SJFee

    Any mirrors for the gapps .zip?

  • Matt Aamold

    Links don’t work

  • Steven Dinsdale

    Just flashed on Galaxy Nexus (Toro) AOKP JB Milestone 1, works great. Make sure to check the md5, the first time I downloaded the codes did not match.

  • Phil Austin

    I just flashed this on my GS3 running AOKP JB Milestone 1, works great.

    • Phil Austin

      also installed on my GNexus running CM10. Also works great, thanks!

  • http://twitter.com/wildtouch83 Dave

    GAPPS and newest Wallet are working fine on VZW GNex running CM10 nightlies. Rockin’

  • http://twitter.com/jerm1777 Jeremy Waite

    someone…..mirror…..this…..please!

  • Dustin Foreman

    Someone should host this elsewhere. Dev host sucks.

  • jeffxallen

    Pinch to zoom in Gmail, anyone?

  • Havoc70

    Dont install this on a Gnex the launcher crashes, and crashes and crashes complete mess does not work, Stock rooted. Glad i backed up

    • NCSUgolfer01

      Same issue here…

    • PCL

      Had the same issue

    • hfoster52

      From above it looks like stock is not working. You have to be on a ROM to toll this.

    • kaufkin

      per a user on the original source, you have to be running a rom, it’s confirmed it won’t work with Stock / Rooted.

      • Guest

        I’m running stock rooted and it works just fine. no crashes. Only thing wrong, or a change they made that i don’t like is they took away the lock icon to lock Google wallet quick. now its an additional step. at least for me.

        • jab416171

          How?

  • http://twitter.com/misterredpants MrRedPants

    would this work on rooted stock nexus 7?

  • jakemyster84

    Works for me on latest nightly of CM10 11-5 on a VZW Galaxy Nexus

  • redbar0n11

    So, my question is, what if I already have the Camera and Keyboard? Has anyone flashed this zip over top of those and come out on the other side just fine?

  • http://twitter.com/jordanlong20 Jordan Long

    “parsing error” on stock EVO LTE (4.0.4) (which is an approved NFC GW device)
    does not install on stock Xoom (4.1.2) (which is not an approved GW/NFC GW device)

  • Dragonetti Surprise

    Would like to know if these GApps will work on a non-rooted RAZR HD running the latest JB leak from Motorola. The reason I ask is because I’m purposefully abstaining from rooting (for now) and I don’t think there are any AOSP ROMs out there yet for the RAZR HD. So I need to know if it is safe to install these GApps from the stock Android recovery without seriously maligning the system.

    Anyone?

  • http://twitter.com/litobirdy litobirdy

    anyone know if this works on CNA rom?

    • David Becker

      Worked for me on CNA

  • Edmundjones

    Anyone know if this works with Xenon rom?

  • Hothfox

    Maybe a stupid question – but does the linked Google Wallet .apk work on the Verizon Gnex?

    • JoshGroff

      -1 upvotes… dafuq?

      • snogods

        yeah, clicked that on accident and then couldnt get it to revert… sorry

        • Chris Hollenbeck

          Respect you for speaking up snogods.

      • Hothfox

        I said the same thing. WTF. We all know Google Wallet has had a myraid of problems with the Verizon iteration, so it’s not like it’s a far out, unreasonable question…

      • Chris Hollenbeck

        Josh- “Some men just want to watch the world burn.”

    • Brian C

      yes it works, i just downloaded it.

      • Hothfox

        Good to know, thanks for updating us.

    • snowblind64

      Works great on my VZW Nexus. I wonder why the approximate location feature was removed though. Oh well that feature hadn’t been working for some time now anyway.

  • Andrew Merewitz

    Anyone know if these will work on AOKP Build 5 on the VZW Galaxy Nexus

    • http://twitter.com/SJFee SJFee

      wallet apk does so far

    • http://twitter.com/Kmdevaney Kyle DeVaney

      Works fine for me. AOKP Build 5 VZW GNex

  • Pdiddy187

    Mirror?

  • Chris Malkiewicz

    Works fine on CM10. I’m happier then a pig in s**t!

    • PyroHoltz

      I think you mean, “happier than…”

      • David Becker

        Maybe he means, “I’m Happier, then a pig in s**t”

      • Chris Malkiewicz

        LOL Thanks man!! I’ll pay a little more attention!

  • http://twitter.com/borochocho Cesar

    The link is taking for ever! Anybody have a faster download link?

  • Dlongb13

    Anyone try this on a GS3 running AOSP?

  • gardobus

    For you guys saying it doesn’t work, be 100% SURE that you downloaded the whole file. Dev-host crapped out on me and luckily I noticed the file was only 50mb before trying to flash it. An incomplete/corrupt download will not flash correctly. It should be ~155mb…

    • Booyah

      Good call. My first go only downloaded 13 MB. Now the download isn’t working. If anyone finds a mirror please post!

    • Havoc70

      I did and checked the MD5 but does not work at ALL, crash crash crash couldnt even get into my Gnex. Restoring now

      • http://www.facebook.com/profile.php?id=100000002774924 Graham Green

        Same here, MD5 sums match but it fails to install.

  • Guest

    I can’t get a stead download from that site. Any mirrors?

    • Guest

      Steady*

  • http://twitter.com/litobirdy litobirdy

    Why is the gapps package 154mbs? isnt that abnormally huge compared to past gapps? arent past gapps like 50 mbs?

  • will ber

    doesnt work on aokp milestone 1

    • lnimmer

      dang…

    • s2k_848

      Installed and works fine on my GNex running AOKP M1. Maybe check to make sure you downloaded the whole file and reflash.

    • Guest

      No go here, downloaded it twice and it won’t load from recovery. I’ll try again when I get home.

  • lnimmer

    anyone try it with AOSP JB M1 yet???

    • Jack Paleczny

      yes, worked no problem!

  • gardobus

    damn dev-host is slow

  • Bigwavedave25

    Photosphere is flippin’ sweet!

  • jcastle482

    Hope this works for me unlike the 4.2 camera app from last week.

  • plumed

    i believe it’s ‘err on the side of caution,’ not air. thanks for the post! will be flashing it!

  • Droid Burgundy

    new Gapps are almost as sexy as inverted Gapps :)

    • Chris Malkiewicz

      This!^^

  • http://twitter.com/Rafyvitto Rafyvitto

    This works for any 4.1.x rom on any device…

    • RaptorOO7

      So once we root any 4.1.x based device (say a Verizon Galaxy Note 2 when released and rooted) we can install these .apk’s to replace the stock ones? If so that would be nice. Not planning on changing the ROM and losing all of the S-Pen benefits but I do want some tweaks here and there.

      • http://profiles.google.com/gogatsbj Bradley Gogats

        No you have to be on an AOSP based ROM not Touchwz

        • RaptorOO7

          Crapola.

  • Samvelavich

    WE WANT AOSP! WE WANT AOSP!

  • Michael G

    I flashed the keyboard & the camera. I’m done for now.
    Thanks for the update though!
    Also, just wanted to let you know Eric, it’s “err on the side..” not “air on the side…”.

    • http://profiles.google.com/adamtruelove Adam Truelove

      I could care less about it being “air” or “err”, but their is some truth in you’re statement.

  • Dan

    Err on the side of caution…

    • BGRUGGER

      Caution not needed…works fine with galaxy nexus (vzw) running latest bugless beast!

      • Michael G

        We’re talking about the word “err” as opposed to “air” in the post.
        I run CM10 on my GNex.. Bugless Beast pretty good then?

        • PyroHoltz

          I wasn’t a fan of BB compared to CM10. BB is rock solid and Pete does great work but I like the custom options that the CM guys add in and it’s been working great for me on the monthly release.

          • Michael Collins

            Everything running well on XenonHD JB4.1.2

      • 3M4NU31

        Thanks!

      • lumpysherman

        Best news I’ve heard. Download starting……NOW

      • Matt

        Gnex-VZW with latest BB, exactly what I needed to know…thanks!

      • saint_stephen

        Do you need to uninstall the previous GApps or can you just install the fresh batch from .zip to overwrite? Also on Bugless Beast.

        • BGRUGGER

          just install over top…this gapps uninstalls it for you! enjoy!

          • saint_stephen

            Any need to wipe the cache / dalvik cache?

          • BGRUGGER

            i did not…but couldnt hurt to do so…your choice!

          • http://www.deathbycone.com Jared Kotoff

            I’d wipe dalvik at least.

      • snowblind64

        Works great except it has the old 4.2 keyboard. Talk crashed the first time I opened it but works fine now.

        • socrates_johnson

          Were you successful re-flashing the newer 4.2 keyboard? Thanks!

          • snowblind64

            Yeah, flashed the newer keyboard without any problems.

          • saint_stephen

            Is there an updated version of the file that includes the newer 4.2 keyboard?

  • Chris Malkiewicz

    I’ll flash it on CM10 now!

  • Samvelavich

    Has anyone tried this on the newest version of Bugless beast?

    • http://www.facebook.com/profile.php?id=508356379 Adam Ropic

      I’m just going to assume he will send out a new rom update tonight with this built in, so i’m just waiting for that rather than doing it myself and risk messing up the rom.

      • Samvelavich

        That sounds about right. That is what he did last time anyway. We’ll just have to wait and see

        • http://profiles.google.com/adamtruelove Adam Truelove

          I don’t think Peter mixes and matches like this. He usually won’t take elements from one version of Android and mix them with another version. I suspect we’ll have to wait until 4.2 hits AOSP before we get anything 4.2 related from Peter, but I could be wrong.

    • http://profiles.google.com/adamtruelove Adam Truelove

      I would also like to know this. Someone needs to give it a try. NOT IT

      • http://profiles.google.com/jtsurf18 Jason Downing

        Why don’t you just make a backup and flash them? Whole thing will take about 10 minutes… even if you have to restore

        • http://profiles.google.com/adamtruelove Adam Truelove

          You do that. NOT IT. ;)

          • JoshGroff

            Meh, I’ll do it with my N7, why the f not.

          • http://profiles.google.com/jtsurf18 Jason Downing

            I already have everything on my phone lol and I’m not running BB

      • palomosan

        My question is, would this replace the system apps or will i have a second set of Gapps.

    • cheezer88

      i’m on the 10-10 and i’m downloading right now

    • Spoken Word™

      You might want to check out the reply to the 1st comment.

    • Kenneth Kewatt

      I’ve attempted to flash the newest version of BB multiple times over the last week. Each time I get a failure message within seconds of starting the flash. Guess I’ll stay on my current version.

      *edited for spelling*

      • Larizard

        Same, I’m still stuck in an August build as well. Apparently is a bug in CWM. I’ve heard Pete recommend flashing the old CWM, but I’m too scared to do that. lol.

        I hope CWM gets fixed before 4.2 hits AOSP… or someone shares to us another method to flash it..

        • JoshGroff

          Flashes perfectly fine with TWRP.

          • Larizard

            thanks! how do i switch to TWRP? Do i have to do anything with CWM? Or can i just go and download from Goo Manager (like Adam suggests), and flash TWRP from there?

          • JoshGroff

            Just install via goo manager, it will automatically overwrite CWM.

          • Jwhap

            Also, if using cwm you just select an older build at the bottom of the main page in the app. I flashed it with no issues at all, you can also just reboot into recovery andand manually flash it

          • Larizard

            Thank you! I heard Pete say that on twitter, but I’m not sure which CWM build to flash. I’m at 6.0.1.0 right now. Which old build should I revert back to?

          • Jwhap

            I did one of the 5. Ones. I don’t remember. If you want it I’d easier to just manually flash it, just reboot into recovery, and select the download file and avoid having to worry about it. Just make sure to wipe dalvik

          • Larizard

            Sorry noob question. But how do i do that? When I reboot in recovery, it shows CWM. I think I sort of did something that permanently flashed CWM. I’m not sure..

          • Jwhap

            Yeah it is still cwm. You are just manually selecting it from the apply zip from SD card, I think is what it says. Once you go on find the zip file select it and go to wipe cache and select dalvik.

          • Jwhap

            That is all I did and it flashed fine

        • http://profiles.google.com/adamtruelove Adam Truelove

          install goo manager and use it to install the latest TWRP.

    • BGRUGGER

      i have gnex (vzw) and running latest BB, gapps works just fine…